<!--
/**
 * eKomi Integration.
 *
 * @category module
 * @package eKomi Integration
 * @author eKomi
 * @copyright Copyright (c) eKomi GMBH (https://ekomi.de)
 * @license AFL
 */
 -->
<!-- merging the 'header' and 'column left' part with this template -->
<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
    <div class="page-header">
        <div class="container-fluid">
            <div class="pull-right">
                <!-- Form submit button -->
                <button type="submit" form="form-ekomi-integration" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
                <!-- Back button -->
                <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
            <!-- Heading is mentioned here -->
            <h1><?php echo $heading_title; ?></h1>
            <!-- Breadcrumbs are listed here -->
            <ul class="breadcrumb">
                <?php foreach ($breadcrumbs as $breadcrumb) { ?>
                <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
                <?php } ?>
            </ul>
        </div>
    </div>
    <div class="container-fluid">
        <!-- if it contains a warning then it will be visible as an alert -->
        <?php if ($error_warning) { ?>
        <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
            <button type="button" class="close" data-dismiss="alert">&times;</button>
        </div>
        <?php } ?>
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_edit; ?></h3>
            </div>
            <div class="panel-body">
                <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-ekomi-integration" class="form-horizontal">
                    <!-- eKomi Shop ID -->
                    <div class="form-group required">
                        <label class="col-sm-2 control-label" for="input-shop-id"><?php echo $shop_id_text; ?></label>
                        <div class="col-sm-10">
                            <input type="text" name="ekomi_integration_shop_id" value="<?php echo $ekomi_integration_shop_id; ?>" placeholder="<?php echo $shop_id_text; ?>" id="input-shop-id" class="form-control" />
                        </div>
                    </div>
                    <!-- eKomi Shop Password -->
                    <div class="form-group required">
                        <label class="col-sm-2 control-label" for="input-shop-pw"><?php echo $shop_pw_text; ?></label>
                        <div class="col-sm-10">
                            <input type="text" name="ekomi_integration_shop_pw" value="<?php echo $ekomi_integration_shop_pw; ?>" placeholder="<?php echo $shop_pw_text; ?>" id="input-shop-pw" class="form-control" />
                        </div>
                    </div>
                    <!-- List of Order Statuses -->
                    <div class="form-group required">
                        <label class="col-sm-2 control-label" for="input-order-status"><span data-toggle="tooltip" title="<?php echo $order_status_help; ?>"><?php echo $order_status_text; ?></label>
                        <div class="col-sm-10">
                            <?php foreach ($order_statuses as $order_status) { ?>
                            <div class="checkbox">
                                <label>
                                    <?php if (in_array($order_status['order_status_id'], $ekomi_integration_order_status)) { ?>
                                    <input type="checkbox" checked="checked" name="ekomi_integration_order_status[]" value="<?php echo $order_status['order_status_id']; ?>" />
                                    <?php } else { ?>
                                    <input type="checkbox" name="ekomi_integration_order_status[]" value="<?php echo $order_status['order_status_id']; ?>" />
                                    <?php } ?>
                                    <?php echo $order_status['name']; ?>
                                </label>
                            </div>
                            <?php } ?>
                        </div>
                    </div>
                    <!-- Product Reviews Status -->
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="input-product-reviews"><?php echo $product_reviews_text; ?></label>
                        <div class="col-sm-10">
                            <select name="ekomi_integration_product_reviews" id="input-product-reviews" class="form-control">
                                <?php if ($ekomi_integration_product_reviews) { ?>
                                <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                                <option value="0"><?php echo $text_disabled; ?></option>
                                <?php } else { ?>
                                <option value="1"><?php echo $text_enabled; ?></option>
                                <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                                <?php } ?>
                            </select>
                        </div>
                    </div>
                    <!-- API Mode -->
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="input-api-mode"><?php echo $api_mode_text; ?></label>
                        <div class="col-sm-10">
                            <select name="ekomi_integration_api_mode" id="input-api-mode" class="form-control">
                                <?php foreach ($api_modes as $key => $value) { ?>
                                    <?php if ($ekomi_integration_api_mode == $key) { ?>
                                    <option value="<?php echo $key; ?>" selected="selected"><?php echo $value; ?></option>
                                    <?php } else { ?>
                                    <option value="<?php echo $key; ?>"><?php echo $value; ?></option>
                                    <?php } ?>
                                <?php } ?>
                            </select>
                        </div>
                    </div>
                    <!-- Activation Status -->
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="input-status"><?php echo $entry_status; ?></label>
                        <div class="col-sm-10">
                            <select name="ekomi_integration_status" id="input-status" class="form-control">
                                <?php if ($ekomi_integration_status) { ?>
                                <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                                <option value="0"><?php echo $text_disabled; ?></option>
                                <?php } else { ?>
                                <option value="1"><?php echo $text_enabled; ?></option>
                                <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                                <?php } ?>
                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="input-terms-and-conditions"><?php echo $terms_and_conditions; ?></label>
                        <div class="col-sm-10">
                            <select name="ekomi_integration_terms_and_conditions" id="input-terms-and-conditions" class="form-control">
                                <?php if ($ekomi_integration_terms_and_conditions) { ?>
                                <option value="1" selected="selected"><?php echo $text_agree; ?></option>
                                <option value="0"><?php echo $text_disagree; ?></option>
                                <?php } else { ?>
                                <option value="1"><?php echo $text_agree; ?></option>
                                <option value="0" selected="selected"><?php echo $text_disagree; ?></option>
                                <?php } ?>
                            </select>
                            <sub>
                                <em style="font-weight: bold;"> <?php echo $terms_and_conditions_text ?> <a target="_blank" href="https://plugins-dashboard.ekomiapps.de/terms_and_conditions"> <?php echo $terms_and_conditions; ?> </a> </em>
                            </sub>
                        </div>
                    </div>

                </form>
            </div>
        </div>
    </div>
</div>

<?php echo $footer; ?>