<?php
/**
 * eKomi Integration.
 *
 * @category module
 * @package eKomi Integration
 * @version 2.1.1
 * @author eKomi
 * @copyright Copyright (c) eKomi GMBH (https://ekomi.de)
 * @license AFL
 */

class ControllerModuleEkomiIntegration extends Controller {

    /**
     * @param $order_id
     */
    public function order_export($order_id)
    {    
        if($this->config->get('ekomi_integration_status') && $this->config->get('ekomi_integration_terms_and_conditions')) {

            $config['status']  = $this->config->get('ekomi_integration_status');
            $config['shop-id'] = $this->config->get('ekomi_integration_shop_id');
            $config['shop-pw'] = $this->config->get('ekomi_integration_shop_pw');
            $config['mode']    = $this->config->get('ekomi_integration_api_mode');
            $config['reviews'] = $this->config->get('ekomi_integration_product_reviews');
            $config['order-statuses'] = $this->config->get('ekomi_integration_order_status');

            $this->load->model('checkout/order');

            $order_info = $this->model_checkout_order->getOrder($order_id);

            if(in_array($order_info['order_status_id'], $config['order-statuses'])) {
                $orderData['order'] =$order_info;

                $this->load->model('account/order');
                
                $orderData['products'] = $this->model_account_order->getOrderProducts($order_id);

                $fields = array(
                    'shop_id'            => $config['shop-id'],
                    'interface_password' => $config['shop-pw'],
                    'order_data'         => $orderData,
                    'mode'               => $config['mode'],
                    'product_reviews'    => $config['reviews'],
                    'plugin_name'        => 'opencart'
                );

                $response = $this->sendPostVars($fields);
            }
        }
    }

    /**
     * @param $postvars
     *
     * @return mixed
     */
    public function sendPostVars($postvars)
    {
        $apiUrl = 'https://plugins-dashboard.ekomiapps.de/api/v1/order';
        if (!empty($postvars)) {
            $boundary = md5(time());
            try {
                $ch = curl_init();
                curl_setopt($ch, CURLOPT_URL, $apiUrl);
                curl_setopt($ch, CURLOPT_HEADER, false);
                curl_setopt($ch, CURLOPT_HTTPHEADER, array('ContentType:multipart/form-data;boundary='. $boundary));
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "PUT");
                curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($postvars));
                $response = curl_exec($ch);
                curl_close($ch);
                return $response;
            } catch (Exception $e) {

            }
        }
    }

}